                                                                :root {
                                                                   --boxes-col-red: #cd5d50;
                                                                   --boxes-col-green: #50cd63;
                                                                   --boxes-col-blue: #508bcd;
                                                                   --boxes-col-orange: #cd9a50;
                                                                   --boxes-col-purple: #a050cd;
                                                                   --boxes-col-pink: #cd50a9;
                                                               }
                                                               
                                                               body {
                                                                   background-color: rgba(0, 0, 0, 0.1);
                                                                   margin: 0 100px;
                                                               }
                                                               
                                                               hr {
                                                                   border: none;
                                                                   border-top: 5px dotted rgba(0, 0, 0, 0.2);
                                                                   width: 60%;
                                                                   margin-top: 25px;
                                                               }
                                                               
                                                               header {
                                                                   text-align: center;
                                                               }
                                                               
                                                               nav ul {
                                                                   padding: 0;
                                                               }
                                                               
                                                               nav ul li {
                                                                   list-style-type: none;
                                                                   display: inline;
                                                                   margin: 0 10px;
                                                               }
                                                               
                                                               .markup-example {
                                                                   font-weight: bold;
                                                               }
                                                               
                                                               .markup-example::before {
                                                                   content: "<";
                                                               }
                                                               
                                                               .markup-example::after {
                                                                   content: ">";
                                                               }
                                                               
                                                               .thumbnail-pic {
                                                                   width: 200px;
                                                                   margin: 0 20px;
                                                               }
                                                               
                                                               .basic-table {
                                                                   margin: 10px;
                                                                   border-collapse: collapse;
                                                               }
                                                               
                                                               .basic-table td,
                                                               .basic-table th {
                                                                   border: 1px black solid;
                                                                   padding: 5px;
                                                                   text-align: center;
                                                               }
                                                               
                                                               .form-group {
                                                                   margin-bottom: 10px;
                                                               }
                                                               
                                                               textarea {
                                                                   width: 100%;
                                                                   resize: none;
                                                               }
                                                               
                                                               form {
                                                                   text-align: right;
                                                               }
                                                               
                                                               fieldset {
                                                                   text-align: left;
                                                               }
                                                               
                                                               form button {
                                                                   padding: 5px 10px;
                                                                   font-weight: bold;
                                                                   border: none;
                                                                   border-radius: 10px;
                                                                   background-color: red;
                                                                   opacity: 80%;
                                                                   margin: 10px 10px 0 0;
                                                               }
                                                               
                                                               form button:hover {
                                                                   opacity: 1;
                                                                   transform: scale(1.05);
                                                               }
                                                               
                                                               .rounded-pic {
                                                                   border-radius: 100%;
                                                               }
                                                               
                                                               div.container {
                                                                   display: flex;
                                                               }
                                                               
                                                               div[class$="-part"] {
                                                                   flex-basis: 50%;
                                                               }
                                                               
                                                               a {
                                                                   color: orange;
                                                                   text-decoration: none;
                                                               }
                                                               
                                                               a:visited {
                                                                   color: blueviolet;
                                                               }
                                                               
                                                               a:hover {
                                                                   color: red;
                                                                   font-size: 1.05rem;
                                                                   font-weight: bold;
                                                               }
                                                               
                                                               #txt-algn-lft {
                                                                   text-align: left;
                                                               }
                                                               
                                                               #txt-algn-cnt {
                                                                   text-align: center;
                                                               }
                                                               
                                                               #txt-algn-rgt {
                                                                   text-align: right;
                                                               }
                                                               
                                                               #txt-algn-jst {
                                                                   text-align: justify;
                                                               }
                                                               
                                                               #txt-size-small {
                                                                   font-size: 8px;
                                                               }
                                                               
                                                               #txt-size-medium {
                                                                   font-size: 1rem;
                                                               }
                                                               
                                                               #txt-size-big {
                                                                   font-size: 200%;
                                                               }
                                                               
                                                               #txt-font-01 {
                                                                   font-family: Arial, Helvetica, sans-serif;
                                                               }
                                                               
                                                               #txt-font-02 {
                                                                   font-family: Verdana, Geneva, Tahoma, sans-serif;
                                                               }
                                                               
                                                               #txt-font-03 {
                                                                   font-family: Georgia, "Times New Roman", Times, serif;
                                                               }
                                                               
                                                               #txt-weight-01 {
                                                                   font-weight: normal;
                                                               }
                                                               
                                                               #txt-weight-02 {
                                                                   font-weight: bold;
                                                               }
                                                               
                                                               #txt-style-01 {
                                                                   font-style: normal;
                                                               }
                                                               
                                                               #txt-style-02 {
                                                                   font-style: italic;
                                                               }
                                                               
                                                               #txt-dec-01 {
                                                                   text-decoration: none;
                                                               }
                                                               
                                                               #txt-dec-02 {
                                                                   text-decoration: underline;
                                                               }
                                                               
                                                               #txt-dec-03 {
                                                                   text-decoration: line-through;
                                                               }
                                                               
                                                               #txt-dec-04 {
                                                                   text-decoration: overline;
                                                               }
                                                               
                                                               #txt-col-01 {
                                                                   color: black;
                                                               }
                                                               
                                                               #txt-col-02 {
                                                                   color: red;
                                                               }
                                                               
                                                               #txt-col-03 {
                                                                   color: #ff5500;
                                                               }
                                                               
                                                               #txt-col-04 {
                                                                   color: rgb(120, 120, 255);
                                                               }
                                                               
                                                               #txt-col-05 {
                                                                   color: rgba(120, 120, 255, 0.8);
                                                               }
                                                               
                                                               #table-style-example {
                                                                   border-collapse: collapse;
                                                                   margin: 10px auto;
                                                                   border-radius: 10px;
                                                                   overflow: hidden;
                                                               }
                                                               
                                                               thead {
                                                                   background-color: black;
                                                                   color: white;
                                                               }
                                                               
                                                               th,
                                                               td {
                                                                   padding: 5px;
                                                               }
                                                               
                                                               tbody tr:nth-child(even) {
                                                                   background-color: wheat;
                                                               }
                                                               
                                                               tbody tr:nth-child(odd) {
                                                                   background-color: dodgerblue;
                                                               }
                                                               
                                                               tfoot {
                                                                   background-color: red;
                                                                   color: white;
                                                               }
                                                               
                                                               .pos-container {
                                                                   height: 600px;
                                                                   width: 600px;
                                                                   background-color: grey;
                                                               }
                                                               
                                                               .pos-container div {
                                                                   height: 100px;
                                                                   width: 100px;
                                                                   padding: 50px;
                                                                   text-align: center;
                                                               }
                                                               
                                                               .pos-container div span {
                                                                   color: white;
                                                               }
                                                               
                                                               .divA {
                                                                   background-color: red;
                                                               }
                                                               
                                                               .divB {
                                                                   background-color: green;
                                                               }
                                                               
                                                               .divC {
                                                                   background-color: blue;
                                                               }
                                                               
                                                               #pos-container-relative .divB {
                                                                   position: relative;
                                                                   left: 200px;
                                                               }
                                                               
                                                               #pos-container-relative .divC {
                                                                   position: relative;
                                                                   left: 400px;
                                                               }
                                                               
                                                               #pos-container-absolute {
                                                                   position: relative;
                                                               }
                                                               
                                                               #pos-container-absolute .divA {
                                                                   position: absolute;
                                                                   left: 0;
                                                                   top: 0;
                                                               }
                                                               
                                                               #pos-container-absolute .divB {
                                                                   position: absolute;
                                                                   left: 200px;
                                                                   top: 200px;
                                                               }
                                                               
                                                               #pos-container-absolute .divC {
                                                                   position: absolute;
                                                                   left: 400px;
                                                                   top: 400px;
                                                               }
                                                               
                                                               #pos-container-fixed {
                                                                   position: fixed;
                                                                   right: 10px;
                                                                   bottom: 10px;
                                                               }
                                                               
                                                               #pos-container-fixed .divA {
                                                                   position: absolute;
                                                                   left: 0;
                                                                   top: 0;
                                                               }
                                                               
                                                               #pos-container-fixed .divB {
                                                                   position: absolute;
                                                                   left: 200px;
                                                                   top: 200px;
                                                               }
                                                               
                                                               #pos-container-fixed .divC {
                                                                   position: absolute;
                                                                   left: 400px;
                                                                   top: 400px;
                                                               }
                                                               
                                                               .flex-container {
                                                                   background-color: rgba(255, 255, 255, 0.8);
                                                                   display: flex;
                                                                   margin: 20px auto;
                                                               }
                                                               
                                                               .flex-container div {
                                                                   margin: 5px;
                                                                   height: 180px;
                                                                   width: 180px;
                                                                   display: flex;
                                                                   align-items: center;
                                                                   justify-content: center;
                                                               }
                                                               
                                                               .flex-container-wrap {
                                                                   flex-wrap: wrap;
                                                               }
                                                               
                                                               #flex-container-2 {
                                                                   justify-content: space-between;
                                                               }
                                                               
                                                               #flex-container-3 {
                                                                   justify-content: space-evenly;
                                                               }
                                                               
                                                               #flex-container-4 {
                                                                   justify-content: center;
                                                               }
                                                               
                                                               .flex-box span,
                                                               .grid-box span {
                                                                   background-color: rgba(255, 255, 255, 0.5);
                                                                   border-radius: 50%;
                                                                   display: block;
                                                                   font-size: 48px;
                                                                   height: auto;
                                                                   line-height: 3em;
                                                                   text-align: center;
                                                                   width: 3em;
                                                               }
                                                               
                                                               .flex-box:nth-child(4n),
                                                               .grid-box:nth-child(4n) {
                                                                   background-color: grey;
                                                               }
                                                               
                                                               .flex-box:nth-child(4n + 1),
                                                               .grid-box:nth-child(4n + 1) {
                                                                   background-color: blue;
                                                               }
                                                               
                                                               .flex-box:nth-child(4n + 2),
                                                               .grid-box:nth-child(4n + 2) {
                                                                   background-color: green;
                                                               }
                                                               
                                                               .flex-box:nth-child(4n + 3),
                                                               .grid-box:nth-child(4n + 3) {
                                                                   background-color: pink;
                                                               }
                                                               
                                                               #flex-container-5 {
                                                                   height: 500px;
                                                                   align-items: center;
                                                                   justify-content: center;
                                                               }
                                                               
                                                               #flex-container-5 #box2 {
                                                                   align-self: end;
                                                               }
                                                               
                                                               #flex-container-5 #box4 {
                                                                   align-self: start;
                                                               }
                                                               
                                                               #flex-container-5 #box6 {
                                                                   align-self: end;
                                                               }
                                                               
                                                               #flex-container-6 {
                                                                   height: 1000px;
                                                                   flex-direction: column;
                                                                   align-items: stretch;
                                                                   align-content: stretch;
                                                               }
                                                               
                                                               #flex-container-6 div {
                                                                   width: calc(33% - 20px);
                                                                   height: calc(25% - 20px);
                                                                   margin: 10px;
                                                               }
                                                               
                                                               #flex-container-6 div:last-child {
                                                                   height: 100%;
                                                                   background-color: var(--boxes-col-orange);
                                                               }
                                                               
                                                               #flex-container-7 {
                                                                   justify-content: space-between;
                                                                   align-items: center;
                                                                   align-content: center;
                                                               }
                                                               
                                                               #flex-container-7 div {
                                                                   width: 49%;
                                                               }
                                                               
                                                               #flex-container-7 #box5 {
                                                                   width: 100%;
                                                                   background-color: var(--boxes-col-purple);
                                                               }
                                                               
                                                               .grid-container {
                                                                   background-color: rgba(255, 255, 255, 0.8);
                                                                   display: grid;
                                                                   margin: 20px auto;
                                                               }
                                                               
                                                               .grid-container div {
                                                                   margin: 5px;
                                                                   display: flex;
                                                                   align-items: center;
                                                                   justify-content: center;
                                                               }
                                                               
                                                               #grid-container-1 {
                                                                   width: 900px;
                                                                   grid-template-columns: 200px 300px 200px 200px;
                                                                   grid-template-rows: repeat(2fr);
                                                               }
                                                               
                                                               #grid-container-2 {
                                                                   grid-template-rows: 1fr 2fr 1fr;
                                                                   grid-template-columns: 1fr 1fr 3fr 1fr;
                                                               }
                                                               
                                                               #grid-container-2 #box1 {
                                                                   grid-row: 1;
                                                                   grid-row-end: 4;
                                                               }
                                                               
                                                               #grid-container-2 #box2 {
                                                                   grid-column: 2;
                                                                   grid-column-end: 4;
                                                               }
                                                               
                                                               #grid-container-2 #box4 {
                                                                   grid-row: 2 / span 2;
                                                                   grid-column: 3 / span 2;
                                                               }
                                                               
                                                               #grid-container-3 {
                                                                   grid-template-areas: "A C C D" "B C C E" "F F F F";
                                                               }
                                                               
                                                               #grid-container-3 #box1 {
                                                                   grid-area: A;
                                                               }
                                                               
                                                               #grid-container-3 #box2 {
                                                                   grid-area: B;
                                                               }
                                                               
                                                               #grid-container-3 #box3 {
                                                                   grid-area: C;
                                                               }
                                                               
                                                               #grid-container-4 #box4 {
                                                                   grid-area: D;
                                                               }
                                                               
                                                               #grid-container-3 #box5 {
                                                                   grid-area: E;
                                                               }
                                                               
                                                               #grid-container-3 #box6 {
                                                                   grid-area: F;
                                                               }